org.apache.tinkerpop.gremlin.structure.io

## Class IoGraphTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.io.IoGraphTest

-     public class IoGraphTest
      extends AbstractGremlinTest

  Tests for all IO implementations that are specific to reading and writing of a `Graph`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `assertDouble`
    `String` | `fileExtension`
    `Io.Builder` | `ioBuilderToTest`
    `String` | `ioType`
    `boolean` | `lossyForId`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoGraphTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldMigrateClassicGraph()`
    `void` | `shouldMigrateModernGraph()`
    `void` | `shouldReadWriteClassic()`
    `void` | `shouldReadWriteClassicToFileWithHelpers()`
    `void` | `shouldReadWriteCrew()`
    `void` | `shouldReadWriteModern()`
    `void` | `shouldReadWriteModernToFileWithHelpers()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ioType

          public String ioType

    - #### ioBuilderToTest

          public Io.Builder ioBuilderToTest

    - #### assertDouble

          public boolean assertDouble

    - #### lossyForId

          public boolean lossyForId

    - #### fileExtension

          public String fileExtension

  - ### Constructor Detail

    - #### IoGraphTest

          public IoGraphTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldReadWriteClassic

          public void shouldReadWriteClassic()
                                      throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteClassicToFileWithHelpers

          public void shouldReadWriteClassicToFileWithHelpers()
                                                       throws Exception

      Throws:
        `Exception`

    - #### shouldMigrateClassicGraph

          public void shouldMigrateClassicGraph()
                                         throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteModern

          public void shouldReadWriteModern()
                                     throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteModernToFileWithHelpers

          public void shouldReadWriteModernToFileWithHelpers()
                                                      throws Exception

      Throws:
        `Exception`

    - #### shouldMigrateModernGraph

          public void shouldMigrateModernGraph()
                                        throws Exception

      Throws:
        `Exception`

    - #### shouldReadWriteCrew

          public void shouldReadWriteCrew()
                                   throws Exception

      Throws:
        `Exception`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.